Name:		qtcurve-kde4
Version:	1.6.3
Release:	1%{?dist}
Summary:	This is a set of widget styles for Qt4/KDE4 based apps

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.kde-look.org/content/show.php?content=40492
Source0:	http://craigd.wikispaces.com/file/view/QtCurve-KDE4-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	kdebase-workspace-devel
BuildRequires:	gettext

Requires:	kdebase-workspace

%global kde4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.3.0") | grep ^KDE | cut -d' ' -f2)

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
QtCurve is a desktop theme for the GTK+ and Qt widget toolkits,
allowing users to achieve a uniform look between these widget toolkits.

%prep
%setup -q -n QtCurve-KDE4-%{version}
## Due to the name change this sed is needed for find-lang.
sed -i 's,set(catalogname qtcurve),set(catalogname qtcurve-kde4),g' po/CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
## Build qtcurve-kde4 with xbar support
%{cmake_kde4} .. -DQTC_XBAR_SUPPORT=true
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README TODO COPYING ChangeLog
%{_kde4_appsdir}/QtCurve/
%{_kde4_appsdir}/color-schemes/*.colors
%{_kde4_appsdir}/kstyle/themes/qtcurve.themerc
## No GUI .desktop file
%{_kde4_appsdir}/kwin/*.desktop
%{_kde4_libdir}/kde4/kstyle_qtcurve_config.so
%{_kde4_libdir}/kde4/kwin3_qtcurve.so
%{_kde4_libdir}/kde4/kwin_qtcurve_config.so
%{_kde4_libdir}/kde4/plugins/styles/qtcurve.so


%changelog
* Sun Sep 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.6.3-1
- bugfix update 1.6.3

* Mon Sep 13 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.6.0-1
- qtcurve-kde4 1.6.0

* Sun Aug 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.2-1
- update to qtcurve-kde4 1.5.2

* Thu Jul 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.1-1
- qtcurve-kde4 1.5.1 bugfix release

* Thu Jul 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.0-1
- qtcurve-kde 1.5.0

* Sun Jun 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.3-1
- qtcurve-kde 1.4.3

* Mon May 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.0-1
- qtcurve 1.4.0 

* Mon Apr 12 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.3.0-1
- qtcurve 1.3.0

* Tue Mar 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.1-1
- New upstream source 1.1.1

* Tue Feb 23 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.0-1
- New upstream source 1.1.0

* Mon Feb 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.2-1
- Update to upstream source 1.0.2

* Mon Jan 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- Update to source 1.0.1

* Thu Nov 19 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.2-1.1
- rebuild (for qt-4.6.0-rc1, f13+)

* Sun Nov 01 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.2-1
- Updated to source 0.69.2

* Mon Oct 12 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.0-1
- Updated to source version 0.69.0
- Made the QtCurve dir owned
- Removed unneeded scriptlets (no shlibs)
- Dropped unneeded BR
- Notified upstream about the borked windeco
- sed cleanup

* Sun Oct 04 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.68.1-3
- Added build comment
- Better use of name macro

* Mon Sep 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.68.1-2
- Changed to lowercase name for sanity

* Fri Sep 25 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.68.1-1
- Initial Release 0.68.1-1
